%bcond_without check

%global goipath         github.com/insomniacslk/termhook
%global commit          a267c978e590d0e84c40b76dbf79393eabed254a

%gometa

%global common_description %{expand:
termhook is a small library that attaches to a terminal, serial console or
other similar device, and lets you attach your own hook on terminal output.}

%global golicenses      COPYING
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    2%{?dist}
Summary:        Simple terminal that allows attaching hooks

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
Patch0:         %{url}/pull/6.patch#/termhook-tcsetattr.patch

BuildRequires:  golang(github.com/pkg/term)
BuildRequires:  golang(github.com/pkg/term/termios)
BuildRequires:  golang(golang.org/x/sys/unix)

%description
%{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%build
for cmd in cmds/termhook; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license COPYING
%doc README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 0-2.gita267c97
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
